### Method

# ECal Component get_categories_list

since: 3.34

#### Declaration [src]

    GSList*
    e_cal_component_get_categories_list (
      ECalComponent* comp
    )

#### Description [src]

Queries the list of categories of a calendar component object. Each element in the returned categ_list is a string with the corresponding category. Free the returned `GSList` with g_slist_free_full (categories, g_free); , when no longer needed.

Available since: 3.34

#### Return value

Type: A list of `utf8`

The `GSList` of strings, where each string is a category, or `NULL`, when no category is set.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.